# Class EntityTag

java.lang.Object
org.apache.tomcat.util.http.parser.EntityTag

public class EntityTag extends Object
Utility class for parsing and comparing HTTP entity tags (ETags) as defined in RFC 7232.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntityTag()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Boolean`
  `compareEntityTag(StringReader input, boolean compareWeak, String resourceETag)`
  Parse the given input as (per RFC 7232) 1#entity-tag.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EntityTag

    public EntityTag()
    Default constructor. This class is not intended to be instantiated.

- ## Method Details

  - ### compareEntityTag

    public static Boolean compareEntityTag(StringReader input, boolean compareWeak, String resourceETag) throws IOException
    Parse the given input as (per RFC 7232) 1#entity-tag. Compare an ETag header with a resource ETag as described in RFC 7232 section 2.3.2.
    Parameters:
      `input` - The input to parse
      `compareWeak` - Use weak comparison e.g. match "etag" with W/"etag"
      `resourceETag` - Resource's ETag
    Returns:
      `true` if ETag matches, `false` if ETag doesn't match or `null` if the input is invalid
    Throws:
      `IOException` - If an I/O occurs during the parsing